Integer operations
24 May 2012 16:19 - John Abbott

Status: Closed Start date: 24 May 2012
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Tidying Estimated time: 4.00 hours
Target version: CoCoALib-0.9951 Spent time: 6.50 hours
Description

While adding IsDivisible for integers, it was not clear where to put the declarations and definitions. So far they have been put in
Machinelnt.H and/or *BiglInt.H though in a rather inconsistent manner.

To emphasise that Machinelnt and BigInt are to be considered interchangeable (as far as is possible), the proposal is to put
practically all basic arithmetic operations in a separate file (probably called IntOperations.H).

The price to pay is that anyone who wants just the Machinelnt operations must also include the Bigint versions -- this is presumably a
consequence of wanting them to be interchangeable.

History

#1 - 25 May 2012 14:41 - John Abbott

- Category set to Philosophy

- Status changed from New to In Progress
- Assignee set to John Abbott

- % Done changed from 0 to 10

The hard part will be all the consequential changes.

#2 - 25 May 2012 14:42 - John Abbott
- Project changed from CoCoA to CoCoALib
- Category deleted (Philosophy)

Problem originally arose in CoCoA-5, but the solution lies in changes to CoCoALib.

#3 - 28 May 2012 11:31 - John Abbott

I've moved (into IntOperations) and reorganized all the integer functions. There were lots of consequential changes. Everything works, so | have
checked in.
Still have to update the documentation.

#4 - 28 May 2012 11:32 - John Abbott
- % Done changed from 10 to 80

#5 - 28 May 2012 17:15 - John Abbott
- Category set to Tidying
- Target version set to CoCoALib-0.9951

#6 - 31 May 2012 17:39 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
